Composer: the legend should show only enabled layers

2016-04-08 12:29 AM - Patrick Valsecchi

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22598

Description

In the composer, I didn't find a way to not have the legend of the disabled layers. The disabled layers are not show in the map, but they

are shown in the legend.

Even when I tick the option to show only the ones present in the map, the disabled layer's legend is present.

History

#1 - 2016-04-09 07:32 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to Map Composer/Printing

arguably a feature request(?).

#2 - 2016-04-09 12:15 PM - Harrissou Santanna

Not really. I think this is a wrong behaviour and a blocker issue for many releases now (since layer tree has landed if i'm not wrong). see #7177 and #13575

#3 - 2016-05-22 02:50 PM - Giovanni Manghi

is this any different from #13575 ?

#4 - 2016-05-22 11:27 PM - Patrick Valsecchi

- Status changed from Feedback to Closed

Yes, it is. Closing...

2024-04-20 1/1


